Analyzers
Support for Analyzers (Intel VTune™ Profiler, Intel Advisor, Intel Inspector)
Announcements
Welcome to the Intel Community. If you get an answer you like, please mark it as an Accepted Solution to help others. Thank you!
4555 Discussions

problem installing vtune_linux_9.1

glp40hs
Beginner
86 Views
Hello, everybody. I hope you help

I'm Not able to install vtune_linux_9.1. when I call the installer (./install.sh), the following message appears:

ERROR: unable to find command 'patch'.
Please add the location to the above commands to your PATH and re-run the script
Press Enter to continue.


How can you succeed in installing? Stressing that have installed the C compiler and Fortran.

I thank you for your attention
0 Kudos
2 Replies
Vladimir_T_Intel
Moderator
86 Views
Quoting - glp40hs
Hello, everybody. I hope you help

I'm Not able to install vtune_linux_9.1. when I call the installer (./install.sh), the following message appears:

ERROR: unable to find command 'patch'.
Please add the location to the above commands to your PATH and re-run the script
Press Enter to continue.


How can you succeed in installing? Stressing that have installed the C compiler and Fortran.

I thank you for your attention

Please, check Release Notes if your Linux distributive is in the VTune supported OS list.
TimP
Black Belt
86 Views
As VTune expects that you have installed the g++ development environment, it would be strange that the patch utility isn't present on the default PATH (/usr/bin/patch, according to LSB). The most likely way for this to happen is you have destroyed the PATH local to the window you have open, in which case no command in /usr/bin would work, but closing the window and opening a new one would fix it. If you actually didn't install patch, use your software install tool to add it.
Reply